Subject: Re: bug#16096: emacs_abort in bidi_initialize + 126 / Fselect_frame -- uniprop_table returns NIL

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Dec 2013 20:11:16 +0200

> From: David Reitter <[email-masked]>
> Date: Tue, 10 Dec 2013 12:07:59 -0500
> Cc: [email-masked],
>  Konrad Podczeck <[email-masked]>
> 
> > How come an Emacs built on Dec 9 has its last change in bidi.c in
> > September?  Is this the development trunk or something else?  If the
> > former, which bzr revision does it correspond to?
> 
> Because it's my branch.  I merge in upstream changes from the development trunk, although at the moment, I'm holding off until some other things stabilize.
> 
> Last merge before Dec 9:
> 
> commit ebc596e931fa753c297bf004d39a37b379e0ba7f
> Merge: d689b24 7c50156
> Author: David Reitter <[email-masked]>
> Date:   Thu Oct 24 12:54:56 2013 -0400
> 
> I don't have Bzr revisions for you.
> 
> That's why it does not contain your fixes dated Nov 22 and Dec 4.  It would probably make sense to merge these changes.

How can you expect us debug a code base which we don't have?

> Aquamacs contains no other changes to bidi.c.   `visual-order-cursor-movement' is t by default.

bidi.c is not the issue here, it works flawlessly in this case: if it
cannot load the table of mirroring attributes, it aborts, because the
bidirectional display engine will not work correctly without that
table.

The question is why uni-mirrored.el couldn't be loaded.  Perhaps it is
faulty or missing, or Emacs tries to load an incompatible version from
a different directory.  Or something else goes wrong.

But these are guesses.  If you can reproduce this problem with your
branch, please try debugging it.